<?php

  use Drupal\Core\Form\FormStateInterface;





function hisse_form_system_theme_settings_alter(&$form, &$form_state) {

  $form['social_media'] = [
    '#type' => 'details',
    '#title' => t('Social Media Settings'),
    '#open' => TRUE,
  ];

  $form['social_media']['all_icons_show'] = [
    '#type'          => 'checkbox',
    '#title'         => t('Show social icons in footer'),
    '#default_value' => theme_get_setting('all_icons_show', 'hisse'),
    '#description'   => t("Check this option to show social icons in footer. Uncheck to hide."),
  ];


  $form['social_media']['links'] = [
    '#type' => 'textarea',
    '#title' => t('Social Media Links'),
    '#description' => t('Enter each link on a new line.'),
    '#default_value' => theme_get_setting('links'),
    '#states' => [
      'visible' => [
        ':input[name="all_icons_show"]' => ['checked' => TRUE],
      ],
    ],
 ];

  $form['totop_enabled'] = [
    '#type'          => 'checkbox',
    '#title'         => t('Show Totop button on the bottom right'),
    '#default_value' => theme_get_setting('totop_enabled', 'hisse'),
    '#description'   => t("Check this option to show totop button on the bottom right. Uncheck to hide."),
  ];

  $form['slideshow'] = [
    '#type' => 'details',
    '#title' => t('Slideshow Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  ];
  $form['slideshow']['slideshow_enabled'] = [
    '#type'          => 'checkbox',
    '#title'         => t('Show slideshow on the frontpage'),
    '#default_value' => theme_get_setting('slideshow_enabled', 'hisse'),
    '#description'   => t("Check this option to show slideshow on the frontpage. Uncheck to hide."),
  ];

  $form['slideshow']['slides'] = [
    '#type' => 'fieldset',
    '#default_value' => theme_get_setting('slides'),
    '#states' => [
      'visible' => [
        ':input[name="slideshow_enabled"]' => ['checked' => TRUE],
      ],
    ],
  ];
  $form['slideshow']['slides']['slide_count'] = [
    '#type' => 'number',
    '#title' => t('Number of slides'),
    '#default_value' => theme_get_setting('slide_count'),
    '#description'  => t("Enter the number of slides required & Save configuration."),
    '#markup' => '<div class="messages messages--warning">Clear caches after making any changes in theme settings. <a href="../../config/development/performance">Click here to clear cache</a></div>',
  ];


  for ($i = 1; $i <= theme_get_setting('slide_count'); $i++) {
    $form['slideshow']['slides']['slide' . $i] = [
      '#type' => 'details',
      '#title' => t('Slide ' . $i),
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
    ];
    $form['slideshow']['slides']['slide' . $i]['slide_image' . $i] = [
      '#type' => 'managed_file',
      '#title' => t('Slide ' . $i . ' Image'),
      '#default_value' => theme_get_setting('slide_image' . $i, 'hisse'),
      '#upload_location' => 'public://',
    ];
    $form['slideshow']['slides']['slide' . $i]['slide_text_' . $i] = [
      '#type' => 'textarea',
      '#title' => t('Slide ' . $i . ' Text'),
      '#default_value' => theme_get_setting('slide_text_' . $i, 'hisse'),
    ];
  }
}



